<?php 

// DEFINE CONTENT TYPE.
Header ("Content-type: image/jpeg"); 

// ADD MAIN IMAGE HERE FOLLOWED BY THE IMAGE TO 
// COMPOSITE ON IT.
$photoImage = ImageCreateFrompng('comp-bg.png'); 
ImageAlphaBlending($photoImage, true); 
$logoImage = ImageCreateFromgif('baby-wrm.gif'); 
$logoW = ImageSX($logoImage); 
$logoH = ImageSY($logoImage); 

// POSITION YOUR LOGO IMAGE.
ImageCopy($photoImage, $logoImage, 220, 315, 0, 0, $logoW, $logoH); 

// ALLOCATE YOUR COLORS.
$white = ImageColorAllocate($photoImage, 255, 255, 255);
$black = ImageColorAllocate($photoImage, 0, 0, 0);

// DEFINE YOUR TEXT & FONTS. MAKE SURE YOU HAVE 
// THE DESIRED TTF IN YOUR DIRECTORY.
$text = 'GD Fun';
$font = 'Admiral.ttf';

// (IMAGE,SIZE,ANGLE,X,Y,COLOR,FONT)
imagettftext($photoImage, 32, 0, 300, 200, $black, $font, $text);

// OUTPUT TO BROWSER.
Imagejpeg($photoImage);

// FREE SERVER MEMORY.
ImageDestroy($photoImage); 
ImageDestroy($logoImage); 

?>